## qt6-imageformats 6.2.4

=== tests/benchmarks/CMakeLists.txt ===
# Generated from benchmarks.pro.

if(QT_FEATURE_system_zlib)
    add_subdirectory(mng)
    add_subdirectory(tiff)
endif()

=== tests/auto/icns/CMakeLists.txt ===
# Generated from icns.pro.

#####################################################################
## tst_qicns Test:
#####################################################################

qt_internal_add_test(tst_qicns
    SOURCES
        tst_qicns.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
)

# Resources:
set(icns_resource_files
    "../../shared/images/icns/test-32bit.icns"
    "../../shared/images/icns/test-jp2.icns"
    "../../shared/images/icns/test-legacy.icns"
    "../../shared/images/icns/test-png.icns"
    "../../shared/images/icns/test-variants.icns"
    "../../shared/images/icns/test-write-1024.png"
    "../../shared/images/icns/test-write-128.png"
    "../../shared/images/icns/test-write-16.png"
    "../../shared/images/icns/test-write-256.png"
    "../../shared/images/icns/test-write-32.png"
    "../../shared/images/icns/test-write-512.png"
    "../../shared/images/icns/test-write-64.png"
)

qt_internal_add_resource(tst_qicns "icns"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${icns_resource_files}
)

=== src/plugins/imageformats/icns/CMakeLists.txt ===
# Generated from icns.pro.

#####################################################################
## QICNSPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QICNSPlugin
    OUTPUT_NAME qicns
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qicnshandler.cpp qicnshandler_p.h
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:icns.pro:<TRUE>:
# OTHER_FILES = "icns.json"

=== debian/changelog ===
qt6-imageformats (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Tue, 29 Mar 2022 20:24:46 +0200

qt6-imageformats (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:16:52 +0100

qt6-imageformats (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update description.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 09:36:51 +0100

qt6-imageformats (6.2.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Nov 2021 01:56:56 +0100

qt6-imageformats (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #998332)

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Nov 2021 16:55:14 +0100

=== debian/control ===
Source: qt6-imageformats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libmng-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libtiff-dev,
               libwebp-dev,
               ninja-build,
               pkg-config,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats

Package: qt6-image-formats-plugins
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Image Formats plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
 WBMP and WEBP image formats.

=== debian/rules ===
#!/usr/bin/make -f

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## qt6-imageformats 6.3.1

=== debian/changelog ===
qt6-imageformats (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:35 +0200

qt6-imageformats (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Jul 2022 20:47:13 +0200

qt6-imageformats (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 May 2022 20:15:51 +0200

qt6-imageformats (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                debhelper-compat (= 13),
                libgl-dev,
                libmng-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libtiff-dev,
                libwebp-dev,
                ninja-build,
                pkg-config,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git

## qt6-imageformats 6.4.2

=== CMakeLists.txt ===
# Generated from qtimageformats.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtImageFormats # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt ImageFormats Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui) # special case
if(NOT TARGET Qt::Gui)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Gui\" is not met.")
    return()
endif()
qt_build_repo()

=== src/imageformats/CMakeLists.txt ===
# Generated from imageformats.pro.

# special case begin
add_library(ImageFormats INTERFACE)
qt_internal_add_docs(ImageFormats
    doc/qtimageformats.qdocconf
)
# special case end

=== tests/auto/CMakeLists.txt ===

# For now, don't built auto tests when QT_BUILD_MINIMAL_STATIC_TEST
# is specified and the build is targeting iOS. QT_BUILD_MINIMAL_STATIC_TEST is used in our CI.
# Regular non-cmake build tests shouldn't be built because the CI will try to run them and fail
# due to missing simulator support.
if(IOS AND QT_BUILD_MINIMAL_STATIC_TESTS)
    return()
endif()

add_subdirectory(tga)
add_subdirectory(wbmp)
add_subdirectory(dds)
add_subdirectory(icns)
add_subdirectory(jp2)
add_subdirectory(webp)
add_subdirectory(heif)
add_subdirectory(mng)
add_subdirectory(tiff)

=== tests/auto/dds/CMakeLists.txt ===
# Generated from dds.pro.

#####################################################################
## tst_qdds Test:
#####################################################################

qt_internal_add_test(tst_qdds
    SOURCES
        tst_qdds.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
)

# Resources:
set(dds_resource_files
    "../../shared/images/dds/A16B16G16R16.dds"
    "../../shared/images/dds/A16B16G16R16F.dds"
    "../../shared/images/dds/A1R5G5B5.dds"
    "../../shared/images/dds/A2B10G10R10.dds"
    "../../shared/images/dds/A2R10G10B10.dds"
    "../../shared/images/dds/A2W10V10U10.dds"
    "../../shared/images/dds/A32B32G32R32F.dds"
    "../../shared/images/dds/A4L4.dds"
    "../../shared/images/dds/A4R4G4B4.dds"
    "../../shared/images/dds/A8.dds"
    "../../shared/images/dds/A8B8G8R8.dds"
    "../../shared/images/dds/A8L8.dds"
    "../../shared/images/dds/A8R3G3B2.dds"
    "../../shared/images/dds/A8R8G8B8.2.dds"
    "../../shared/images/dds/A8R8G8B8.dds"
    "../../shared/images/dds/ATI2.dds"
    "../../shared/images/dds/CxV8U8.dds"
    "../../shared/images/dds/DXT1.dds"
    "../../shared/images/dds/DXT2.dds"
    "../../shared/images/dds/DXT3.dds"
    "../../shared/images/dds/DXT4.dds"
    "../../shared/images/dds/DXT5.dds"
    "../../shared/images/dds/G16R16.dds"
    "../../shared/images/dds/G16R16F.dds"
    "../../shared/images/dds/G32R32F.dds"
    "../../shared/images/dds/G8R8_G8B8.dds"
    "../../shared/images/dds/L16.dds"
    "../../shared/images/dds/L6V5U5.dds"
    "../../shared/images/dds/L8.dds"
    "../../shared/images/dds/P4.dds"
    "../../shared/images/dds/P8.dds"
    "../../shared/images/dds/Q16W16V16U16.dds"
    "../../shared/images/dds/Q8W8V8U8.dds"
    "../../shared/images/dds/R16F.dds"
    "../../shared/images/dds/R32F.dds"
    "../../shared/images/dds/R3G3B2.dds"
    "../../shared/images/dds/R5G6B5.dds"
    "../../shared/images/dds/R8G8B8.dds"
    "../../shared/images/dds/R8G8_B8G8.dds"
    "../../shared/images/dds/RXGB.dds"
    "../../shared/images/dds/UYVY.dds"
    "../../shared/images/dds/V16U16.dds"
    "../../shared/images/dds/V8U8.dds"
    "../../shared/images/dds/X1R5G5B5.dds"
    "../../shared/images/dds/X4R4G4B4.dds"
    "../../shared/images/dds/X8B8G8R8.dds"
    "../../shared/images/dds/X8L8V8U8.dds"
    "../../shared/images/dds/X8R8G8B8.dds"
    "../../shared/images/dds/YUY2.dds"
    "../../shared/images/dds/mipmaps.dds"
)

qt_internal_add_resource(tst_qdds "dds"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${dds_resource_files}
)

=== tests/benchmarks/tiff/CMakeLists.txt ===
# Generated from tiff.pro.

#####################################################################
## tst_bench_qtiff Binary:
#####################################################################

qt_internal_add_benchmark(tst_bench_qtiff
    SOURCES
        tst_qtiff.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Test
)

# Resources:
set(tiff_resource_files
    "../../shared/images/tiff/16bpc.tiff"
    "../../shared/images/tiff/big_16bpc.tiff"
    "../../shared/images/tiff/big_grayscale.tiff"
    "../../shared/images/tiff/big_rgb.tiff"
    "../../shared/images/tiff/big_rgb_bigendian.tiff"
    "../../shared/images/tiff/colorful.bmp"
    "../../shared/images/tiff/corrupt-data.tif"
    "../../shared/images/tiff/gray16.tiff"
    "../../shared/images/tiff/grayscale-ref.tif"
    "../../shared/images/tiff/grayscale.tif"
    "../../shared/images/tiff/image.tif"
    "../../shared/images/tiff/image_100dpi.tif"
    "../../shared/images/tiff/indexed_orientation_1.tiff"
    "../../shared/images/tiff/indexed_orientation_2.tiff"
    "../../shared/images/tiff/indexed_orientation_3.tiff"
    "../../shared/images/tiff/indexed_orientation_4.tiff"
    "../../shared/images/tiff/indexed_orientation_5.tiff"
    "../../shared/images/tiff/indexed_orientation_6.tiff"
    "../../shared/images/tiff/indexed_orientation_7.tiff"
    "../../shared/images/tiff/indexed_orientation_8.tiff"
    "../../shared/images/tiff/mono_orientation_1.tiff"
    "../../shared/images/tiff/mono_orientation_2.tiff"
    "../../shared/images/tiff/mono_orientation_3.tiff"
    "../../shared/images/tiff/mono_orientation_4.tiff"
    "../../shared/images/tiff/mono_orientation_5.tiff"
    "../../shared/images/tiff/mono_orientation_6.tiff"
    "../../shared/images/tiff/mono_orientation_7.tiff"
    "../../shared/images/tiff/mono_orientation_8.tiff"
    "../../shared/images/tiff/multipage.tiff"
    "../../shared/images/tiff/oddsize_grayscale.tiff"
    "../../shared/images/tiff/oddsize_mono.tiff"
    "../../shared/images/tiff/original_grayscale.tiff"
    "../../shared/images/tiff/original_indexed.tiff"
    "../../shared/images/tiff/original_mono.tiff"
    "../../shared/images/tiff/original_rgb.tiff"
    "../../shared/images/tiff/rgb_orientation_1.tiff"
    "../../shared/images/tiff/rgb_orientation_2.tiff"
    "../../shared/images/tiff/rgb_orientation_3.tiff"
    "../../shared/images/tiff/rgb_orientation_4.tiff"
    "../../shared/images/tiff/rgb_orientation_5.tiff"
    "../../shared/images/tiff/rgb_orientation_6.tiff"
    "../../shared/images/tiff/rgb_orientation_7.tiff"
    "../../shared/images/tiff/rgb_orientation_8.tiff"
    "../../shared/images/tiff/rgba_adobedeflate_littleendian.tif"
    "../../shared/images/tiff/rgba_lzw_littleendian.tif"
    "../../shared/images/tiff/rgba_nocompression_bigendian.tif"
    "../../shared/images/tiff/rgba_nocompression_littleendian.tif"
    "../../shared/images/tiff/rgba_packbits_littleendian.tif"
    "../../shared/images/tiff/rgba_zipdeflate_littleendian.tif"
    "../../shared/images/tiff/teapot.tiff"
    "../../shared/images/tiff/tiled_grayscale.tiff"
    "../../shared/images/tiff/tiled_indexed.tiff"
    "../../shared/images/tiff/tiled_mono.tiff"
    "../../shared/images/tiff/tiled_oddsize_grayscale.tiff"
    "../../shared/images/tiff/tiled_oddsize_mono.tiff"
    "../../shared/images/tiff/tiled_rgb.tiff"
)

qt_internal_add_resource(tst_bench_qtiff "tiff"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${tiff_resource_files}
)

=== src/plugins/imageformats/macheif/CMakeLists.txt ===
# Generated from macheif.pro.

#####################################################################
## QMacHeifPlugin Plugin:
#####################################################################

# special case begin
find_library(FWCoreFoundation CoreFoundation)
find_library(FWCoreGraphics CoreGraphics)
find_library(FWImageIO ImageIO)
# special case end

qt_internal_add_plugin(QMacHeifPlugin
    OUTPUT_NAME qmacheif
    PLUGIN_TYPE imageformats
    SOURCES
        ../shared/qiiofhelpers.cpp ../shared/qiiofhelpers_p.h
        main.cpp
        qmacheifhandler.cpp qmacheifhandler.h
    INCLUDE_DIRECTORIES
        ../shared
    LIBRARIES
        ${FWCoreFoundation}
        ${FWCoreGraphics}
        ${FWImageIO}
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
)

#### Keys ignored in scope 1:.:.:macheif.pro:<TRUE>:
# OTHER_FILES = "macheif.json"

=== src/plugins/imageformats/tga/CMakeLists.txt ===
# Generated from tga.pro.

#####################################################################
## QTgaPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QTgaPlugin
    OUTPUT_NAME qtga
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qtgafile.cpp qtgafile.h
        qtgahandler.cpp qtgahandler.h
    LIBRARIES
        Qt::Core
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:tga.pro:<TRUE>:
# OTHER_FILES = "tga.json"

=== src/plugins/imageformats/wbmp/CMakeLists.txt ===
# Generated from wbmp.pro.

#####################################################################
## QWbmpPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWbmpPlugin
    OUTPUT_NAME qwbmp
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qwbmphandler.cpp qwbmphandler_p.h
    LIBRARIES
        Qt::Core
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:wbmp.pro:<TRUE>:
# OTHER_FILES = "wbmp.json"

=== src/plugins/imageformats/webp/CMakeLists.txt ===
# Generated from webp.pro.

#####################################################################
## QWebpPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWebpPlugin
    OUTPUT_NAME qwebp
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qwebphandler.cpp qwebphandler_p.h
    LIBRARIES
        Qt::Core
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:webp.pro:<TRUE>:
# OTHER_FILES = "webp.json"
# QT_FOR_CONFIG = "imageformats-private"

## Scopes:
#####################################################################

qt_internal_extend_target(QWebpPlugin CONDITION QT_FEATURE_system_webp
    LIBRARIES
        WrapWebP::WrapWebP
)

qt_internal_extend_target(QWebpPlugin CONDITION NOT QT_FEATURE_system_webp
    SOURCES
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_csp.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_dsp.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_gamma.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_sse2.c
        ../../../3rdparty/libwebp/src/dec/alpha_dec.c
        ../../../3rdparty/libwebp/src/dec/buffer_dec.c
        ../../../3rdparty/libwebp/src/dec/frame_dec.c
        ../../../3rdparty/libwebp/src/dec/idec_dec.c
        ../../../3rdparty/libwebp/src/dec/io_dec.c
        ../../../3rdparty/libwebp/src/dec/quant_dec.c
        ../../../3rdparty/libwebp/src/dec/tree_dec.c
        ../../../3rdparty/libwebp/src/dec/vp8_dec.c
        ../../../3rdparty/libwebp/src/dec/vp8l_dec.c
        ../../../3rdparty/libwebp/src/dec/webp_dec.c
        ../../../3rdparty/libwebp/src/demux/anim_decode.c
        ../../../3rdparty/libwebp/src/demux/demux.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_sse2.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_sse41.c
        ../../../3rdparty/libwebp/src/dsp/cost.c
        ../../../3rdparty/libwebp/src/dsp/cost_mips32.c
        ../../../3rdparty/libwebp/src/dsp/cost_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/cost_neon.c
        ../../../3rdparty/libwebp/src/dsp/cost_sse2.c
        ../../../3rdparty/libwebp/src/dsp/cpu.c
        ../../../3rdparty/libwebp/src/dsp/dec.c
        ../../../3rdparty/libwebp/src/dsp/dec_clip_tables.c
        ../../../3rdparty/libwebp/src/dsp/dec_mips32.c
        ../../../3rdparty/libwebp/src/dsp/dec_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/dec_msa.c
        ../../../3rdparty/libwebp/src/dsp/dec_sse2.c
        ../../../3rdparty/libwebp/src/dsp/dec_sse41.c
        ../../../3rdparty/libwebp/src/dsp/enc.c
        ../../../3rdparty/libwebp/src/dsp/enc_mips32.c
        ../../../3rdparty/libwebp/src/dsp/enc_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/enc_msa.c
        ../../../3rdparty/libwebp/src/dsp/enc_sse2.c
        ../../../3rdparty/libwebp/src/dsp/enc_sse41.c
        ../../../3rdparty/libwebp/src/dsp/filters.c
        ../../../3rdparty/libwebp/src/dsp/filters_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/filters_msa.c
        ../../../3rdparty/libwebp/src/dsp/filters_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_mips32.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_msa.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_sse41.c
        ../../../3rdparty/libwebp/src/dsp/lossless_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_sse41.c
        ../../../3rdparty/libwebp/src/dsp/rescaler.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_mips32.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_msa.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_sse2.c
        ../../../3rdparty/libwebp/src/dsp/ssim.c
        ../../../3rdparty/libwebp/src/dsp/ssim_sse2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_msa.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_sse2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_sse41.c
        ../../../3rdparty/libwebp/src/dsp/yuv.c
        ../../../3rdparty/libwebp/src/dsp/yuv_mips32.c
        ../../../3rdparty/libwebp/src/dsp/yuv_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/yuv_sse2.c
        ../../../3rdparty/libwebp/src/dsp/yuv_sse41.c
        ../../../3rdparty/libwebp/src/enc/alpha_enc.c
        ../../../3rdparty/libwebp/src/enc/analysis_enc.c
        ../../../3rdparty/libwebp/src/enc/backward_references_cost_enc.c
        ../../../3rdparty/libwebp/src/enc/backward_references_enc.c
        ../../../3rdparty/libwebp/src/enc/config_enc.c
        ../../../3rdparty/libwebp/src/enc/cost_enc.c
        ../../../3rdparty/libwebp/src/enc/filter_enc.c
        ../../../3rdparty/libwebp/src/enc/frame_enc.c
        ../../../3rdparty/libwebp/src/enc/histogram_enc.c
        ../../../3rdparty/libwebp/src/enc/iterator_enc.c
        ../../../3rdparty/libwebp/src/enc/near_lossless_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_csp_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_psnr_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_rescale_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_tools_enc.c
        ../../../3rdparty/libwebp/src/enc/predictor_enc.c
        ../../../3rdparty/libwebp/src/enc/quant_enc.c
        ../../../3rdparty/libwebp/src/enc/syntax_enc.c
        ../../../3rdparty/libwebp/src/enc/token_enc.c
        ../../../3rdparty/libwebp/src/enc/tree_enc.c
        ../../../3rdparty/libwebp/src/enc/vp8l_enc.c
        ../../../3rdparty/libwebp/src/enc/webp_enc.c
        ../../../3rdparty/libwebp/src/mux/anim_encode.c
        ../../../3rdparty/libwebp/src/mux/muxedit.c
        ../../../3rdparty/libwebp/src/mux/muxinternal.c
        ../../../3rdparty/libwebp/src/mux/muxread.c
        ../../../3rdparty/libwebp/src/utils/bit_reader_utils.c
        ../../../3rdparty/libwebp/src/utils/bit_writer_utils.c
        ../../../3rdparty/libwebp/src/utils/color_cache_utils.c
        ../../../3rdparty/libwebp/src/utils/filters_utils.c
        ../../../3rdparty/libwebp/src/utils/huffman_encode_utils.c
        ../../../3rdparty/libwebp/src/utils/huffman_utils.c
        ../../../3rdparty/libwebp/src/utils/quant_levels_dec_utils.c
        ../../../3rdparty/libwebp/src/utils/quant_levels_utils.c
        ../../../3rdparty/libwebp/src/utils/random_utils.c
        ../../../3rdparty/libwebp/src/utils/rescaler_utils.c
        ../../../3rdparty/libwebp/src/utils/thread_utils.c
        ../../../3rdparty/libwebp/src/utils/utils.c
    INCLUDE_DIRECTORIES
        ../../../3rdparty/libwebp
        ../../../3rdparty/libwebp/sharpyuv
        ../../../3rdparty/libwebp/src
        ../../../3rdparty/libwebp/src/dec
        ../../../3rdparty/libwebp/src/dsp
        ../../../3rdparty/libwebp/src/enc
        ../../../3rdparty/libwebp/src/mux
        ../../../3rdparty/libwebp/src/utils
        ../../../3rdparty/libwebp/src/webp
)

qt_internal_extend_target(QWebpPlugin CONDITION ANDROID AND NOT ANDROID_EMBEDDED AND NOT QT_FEATURE_system_webp
    SOURCES
        ${CMAKE_ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c   # special case
    INCLUDE_DIRECTORIES
        ${CMAKE_ANDROID_NDK}/sources/android/cpufeatures                  # special case
)

# special case begin
set(neon_sources
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_neon.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_neon.c
        ../../../3rdparty/libwebp/src/dsp/dec_neon.c
        ../../../3rdparty/libwebp/src/dsp/enc_neon.c
        ../../../3rdparty/libwebp/src/dsp/filters_neon.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_neon.c
        ../../../3rdparty/libwebp/src/dsp/lossless_neon.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_neon.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_neon.c
        ../../../3rdparty/libwebp/src/dsp/yuv_neon.c
)

if(NOT QT_FEATURE_system_webp)
    if(ANDROID)
        qt_internal_extend_target(QWebpPlugin
            CONDITION (CMAKE_ANDROID_ARM_NEON OR CMAKE_ANDROID_ARCH_ABI STREQUAL "arm64-v8a")
            SOURCES ${neon_sources}
        )
    else()
        # For universal macOS and iOS, and other platforms that support neon
        qt_internal_add_simd_part(QWebpPlugin SIMD neon SOURCES ${neon_sources})
    endif()
endif()
# special case end

#### Keys ignored in scope 6:.:../../../3rdparty:../../../3rdparty/libwebp.pri:INTEGRITY:
# QMAKE_CFLAGS = "-c99"

#### Keys ignored in scope 12:.:../../../3rdparty:../../../3rdparty/libwebp.pri:else:
# QMAKE_EXTRA_COMPILERS = "neon_comp"
# neon_comp.commands = "$$QMAKE_CC" "-c" "$(CFLAGS)" "$$QMAKE_CFLAGS_NEON" "$(INCPATH)" "${QMAKE_FILE_IN}"
# neon_comp.dependency_type = "TYPE_C"
# neon_comp.input = "SOURCES_FOR_NEON"
# neon_comp.name = "compiling[neon]" "${QMAKE_FILE_IN}"
# neon_comp.output = "${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${firstQMAKE_EXT_OBJ}"
# neon_comp.variable_out = "OBJECTS"

#### Keys ignored in scope 13:.:../../../3rdparty:../../../3rdparty/libwebp.pri:MSVC:
# neon_comp.commands = "-Fo${QMAKE_FILE_OUT}"

#### Keys ignored in scope 14:.:../../../3rdparty:../../../3rdparty/libwebp.pri:else:
# neon_comp.commands = "-o" "${QMAKE_FILE_OUT}"

#### Keys ignored in scope 15:.:../../../3rdparty:../../../3rdparty/libwebp.pri:silent:
# neon_comp.commands = "@echo" "compiling[neon]" "${QMAKE_FILE_IN}" "&&"

=== debian/changelog ===
qt6-imageformats (6.4.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Apr 2023 13:55:32 -0700

qt6-imageformats (6.4.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 10:03:46 -0300

qt6-imageformats (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sun, 22 Jan 2023 11:28:21 +0100

qt6-imageformats (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:21 +0100

qt6-imageformats (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:48 +0100

qt6-imageformats (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 23:02:32 +0100

qt6-imageformats (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add debian/.gitattributes to easily merge changelogs.
  * Move .gitignore in root dir to debian/.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.

 -- Patrick Franz <deltaone@debian.org>  Wed, 05 Oct 2022 20:31:13 +0200

qt6-imageformats (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 11:11:13 -0300

qt6-imageformats (6.2.4-2~bpo11+2) bullseye-backports; urgency=medium

  * Override dh_dwz on arm64 until #968670 is fixed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 May 2022 09:52:45 -0300

qt6-imageformats (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploader for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 28 Apr 2022 16:19:57 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: qt6-imageformats
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
                libmng-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libtiff-dev,
                libwebp-dev,
                ninja-build,
                pkg-config,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~)
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git

=== debian/rules ===
#!/usr/bin/make -f

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_CPU),arm64)
# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=968670
override_dh_dwz:
endif

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qt6-imageformats 6.6.2

=== debian/changelog ===
qt6-imageformats (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:24:18 +0200

qt6-imageformats (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 19:22:31 +0100

qt6-imageformats (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:42:38 +0100

qt6-imageformats (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Remove patches that have been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Fri, 13 Oct 2023 20:09:29 +0200

qt6-imageformats (6.4.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failures when Threads::Threads was already
    included (Closes: #1052927).
  * Fix typo for generating the documentation.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 19:26:23 +0200

qt6-imageformats (6.4.2-4) unstable; urgency=medium

  * Team upload.
  * Add symlink to let users find the html doc in the normal Debian path.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 09:53:21 -0300

qt6-imageformats (6.4.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build documentation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Jul 2023 14:35:06 -0300

qt6-imageformats (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Jun 2023 22:14:24 +0200

=== debian/control ===
Source: qt6-imageformats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libmng-dev,
               libtiff-dev,
               libwebp-dev,
               ninja-build,
               pkgconf,
               qt6-base-dev (>= 6.6.2+dfsg~),
               qt6-base-private-dev (>= 6.6.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats

Package: qt6-image-formats-plugins
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Image Formats plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
 WBMP and WEBP image formats.

Package: qt6-imageformats-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 image formats documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 image formats plugins.

Package: qt6-imageformats-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 image formats HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 image formats
 plugins.

## qt6-imageformats 6.7.2

=== debian/changelog ===
qt6-imageformats (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:42:37 +0200

qt6-imageformats (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Aug 2024 08:27:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                libwebp-dev,
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git

## qt6-imageformats 6.8.0

=== tests/auto/mng/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qmng Test:
#####################################################################

qt_internal_add_test(tst_qmng
    SOURCES
        tst_qmng.cpp
    LIBRARIES
        Qt::Gui
)

# Resources:
set(mng_resource_files
    "../../shared/images/mng/animation.mng"
    "../../shared/images/mng/ball.mng"
    "../../shared/images/mng/corrupt.mng"
    "../../shared/images/mng/dutch.mng"
    "../../shared/images/mng/fire.mng"
)

qt_internal_add_resource(tst_qmng "mng"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${mng_resource_files}
)

=== debian/changelog ===
qt6-imageformats (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Thu, 31 Oct 2024 17:00:05 +0800

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                libtiff-dev,
                libwebp-dev,
                ninja-build,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               pkg-config,
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git

## qt6-imageformats 6.8.1

=== debian/changelog ===
qt6-imageformats (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:51:17 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-imageformats
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
@@ -10,12 +11,12 @@
                libtiff-dev,
                libwebp-dev,
                ninja-build,
-               pkg-config,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git

## qt6-imageformats 6.8.2

=== debian/changelog ===
qt6-imageformats (6.8.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix CVE-2025-5683 (Closes: #1107317).

 -- Patrick Franz <deltaone@debian.org>  Fri, 06 Jun 2025 19:37:30 +0200

qt6-imageformats (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:41:03 +0100

qt6-imageformats (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 10:32:34 +0100

qt6-imageformats (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Feb 2025 21:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-imageformats
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
@@ -12,8 +11,8 @@
                libwebp-dev,
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-imageformats 6.8.3

=== tests/benchmarks/mng/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_bench_qmng Binary:
#####################################################################

qt_internal_add_benchmark(tst_bench_qmng
    SOURCES
        tst_qmng.cpp
    LIBRARIES
        Qt::Gui
        Qt::Test
)

# Resources:
set(mng_resource_files
    "../../shared/images/mng/animation.mng"
    "../../shared/images/mng/ball.mng"
    "../../shared/images/mng/corrupt.mng"
    "../../shared/images/mng/dutch.mng"
    "../../shared/images/mng/fire.mng"
)

qt_internal_add_resource(tst_bench_qmng "mng"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${mng_resource_files}
)

=== src/plugins/imageformats/wbmp/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-# Generated from wbmp.pro.
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
 
 #####################################################################
 ## QWbmpPlugin Plugin:
@@ -14,6 +15,3 @@
         Qt::Core
         Qt::Gui
 )
-
-#### Keys ignored in scope 1:.:.:wbmp.pro:<TRUE>:
-# OTHER_FILES = "wbmp.json"

=== debian/changelog ===
qt6-imageformats (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:19:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-imageformats
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
@@ -11,8 +12,8 @@
                libwebp-dev,
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-imageformats 6.9.1

=== debian/changelog ===
qt6-imageformats (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 11:03:22 +0200

qt6-imageformats (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Remove patches that have been applied upstream.
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Jul 2025 14:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: qt6-imageformats
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.18~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libmng-dev,
                libtiff-dev,
                libwebp-dev,
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git
